This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 752308 (CVE-2011-4128)

Summary: CVE-2011-4128 gnutls: buffer overflow in gnutls_session_get_data() (GNUTLS-SA-2011-2)
Product: [Other] Security Response Reporter: Vincent Danen <vdanen>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: unspecifiedCC: jorton, omoris, scorneli, tmraz
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=low,public=20111107,reported=20111107,source=internet,cvss2=5.1/AV:N/AC:H/Au:N/C:P/I:P/A:P,rhel-4/gnutls=notaffected,rhel-5/gnutls=affected,rhel-6/gnutls=affected,rhel-6/mingw32-gnutls=wontfix,fedora-all/gnutls=affected
Fixed In Version: gnutls 2.12.14, gnutls 3.0.7 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-03-14 03:49:45 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On: 752703, 805074, 805075, 805078, 805079, 805438, 805439, 841165, 1063396    
Bug Blocks: 752310    

Description Vincent Danen 2011-11-09 01:27:41 EST
A flaw was reported [1] in the GnuTLS gnutls_session_get_data() function, which could overflow a too-short buffer parameter allocated by the caller.  The test which was to avoid such buffer overflows was not working.  A malicious server could use this flaw in a vulnerable client to send a larger SessionTicket in the hope of overflowing the client.

Upstream has indicated that they are unaware of any client software that does not properly use the session resumption functions; clients that perform session resumption as documented [2] are not vulnerable.

[1] http://article.gmane.org/gmane.comp.encryption.gpg.gnutls.devel/5596
[2] http://www.gnu.org/s/gnutls/manual/html_node/Client-with-Resume-capability-example.html#Client-with-Resume-capability-example
Comment 2 Vincent Danen 2011-11-09 12:07:10 EST
This has been assigned the name CVE-2011-4128.
Comment 7 Huzaifa S. Sidhpurwala 2011-11-10 02:21:33 EST
This issue affects the version of gnutls as shipped with Fedora 14, 15 and 16.
Comment 9 Huzaifa S. Sidhpurwala 2011-11-10 02:28:20 EST
Created gnutls tracking bugs for this issue

Affects: fedora-all [bug 752703]
Comment 14 errata-xmlrpc 2012-03-27 18:56:54 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2012:0429 https://rhn.redhat.com/errata/RHSA-2012-0429.html
Comment 15 errata-xmlrpc 2012-03-27 18:57:04 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2012:0428 https://rhn.redhat.com/errata/RHSA-2012-0428.html
Comment 16 Vincent Danen 2012-03-27 19:55:09 EDT
Statement:

This issue does not affect the version of gnutls as shipped with Red Hat Enterprise Linux 4.
Comment 17 Fedora Update System 2012-04-10 23:49:38 EDT
gnutls-2.10.5-3.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 18 Fedora Update System 2012-04-11 13:00:25 EDT
gnutls-2.10.5-3.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.